<?php
class SavePlugin extends CommonModule{
	public function index(){
		if(IS_POST){
			$data =Q('post.');
			$data['datetime'] = time();


			$db=M('addgbook');
			$db->validate = array(
				array('title', 'nonull', '请输入标题'),
				array('company', 'nonull', '请输入公司名称'),
				array('name', 'nonull', '请输入您的姓名'),
				array('tel', 'nonull', '请输入联系电话'),
				array('email', 'nonull', '请输入电子邮箱'),
				array('content', 'nonull', '请输入详细内容'),
			);
			if (!$db->create($data)){$this->error($db->error);}
			$res = $db->data($data)->add();
			if ($res) {
				$this->success('留言成功');
			}else{
				$this->error('留言失败');
			}
		}else{
			$this->error('非法请求');
		};
	}
}
